Subject: Re: Build failure on treeboot-walnut.cg

From: David Gibson <[email-masked]>
Date: Wed, 10 Oct 2007 12:35:15 +1000

On Tue, Oct 09, 2007 at 11:06:05AM -0500, Timur Tabi wrote:
> David Gibson wrote:
> 
> > Policy.  Compiling everything means build bugs - like this one - can
> > be found by everybody, not just those building for the specific
> > obscure platform.
> 
> Is this a new policy?  Modules in the kernel are not built unless you want 
> them.  Even in arch/powerpc/platforms, only the specific platform file I'm 
> targeting is built.  So I don't really understand why you claim it's normal 
> for platform-specific files to be built, regardless of the actual
> platform.

It has been policy as long as we've had the platform+library structure
in arch/powerpc/boot.

> And frankly, I don't like this "policy".  Build bugs for 4xx should not 
> interfere in my 83xx development.  I can't build any kernels now because of 
> this bug!

Argue with Paulus.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson